### Function

# GLib TestDataFunc

since: 2.28

#### Declaration

    void
    (* GTestDataFunc) (
      gconstpointer user_data
    )

#### Description

The type used for test case functions that take an extra pointer argument.

Available since: 2.28

#### Parameters

`user_data`

  Type: `gconstpointer`

  The data provided when registering the test.

  The argument can be `NULL`.
  The data is owned by the caller of the function.